Subject: Re: troubles with postgresql-7.1RC2-1
From: Jason Tishler <[email-masked]>
To: Pascal Molli <[email-masked]>
Cc: [email-masked]
Date: Fri, 6 Apr 2001 15:26:52 -0400

Pascal,

On Fri, Apr 06, 2001 at 07:10:18PM +0200, Pascal Molli wrote:
> I'am *not* running 1.1.8-2 but the last cygwin1.dll available in the
> developper snapshot.

Please try "uname -a" to verify.  I have already helped someone else who
attempted to replace their 1.1.8-2 DLL with one from a snapshot while
inetd was still running...

> I have made more testing... the postmaster crashs only if ipc-daemon is
> started as a windows service
>   (net start ipc-daemon)
> 
> I have stopped the service and just launch ipc-daemon as
>     $ ipc-daemon &
> and there is no more crash !!

Hmm, the above is very interesting see below...

Nevertheless, I just tried your exact configuration:

    Windows 2000
    PostgreSQL 7.1RC2-1
    cygipc-1.09-2
    cygwin1-20010319.dll

with ipc-daemon run as a service and a normal process and the regression
test passed without any errors.

> Maybe there are troubles with permissions to access the service ??

Are you a member of the Local Administrators group?  If not, may be
this is causing a permissions problem when ipc-daemon is run as a service?
But, I thought that by default it runs with wide open security (i.e,
no security).

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple